Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
/
sync
Retry Indexing for Website Pages
curl --request PATCH \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "uniqueIds": [
    "fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
    "c2847dcd-636c-4e7a-9217-593ccf2a7bb1",
    "550e8400-e29b-41d4-a716-446655440003"
  ]
}
'
{
  "success": true,
  "message": "Sync processing initiated successfully",
  "data": {
    "batchId": "sync-batch-1701789123456",
    "urlsProcessed": 2,
    "totalRequested": 3,
    "excludedUrls": 1,
    "webhookUrl": "https://webhook.site/b4994000-62d9-4e17-928f-790282cb5815",
    "status": "processing",
    "processedUrls": [
      "fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
      "c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
    ]
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

parentUniqueId
string
required

Parent website crawl unique ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json

Array of discovered URL unique IDs to sync. Only non-excluded URLs will be processed.

uniqueIds
string[]
required

Array of unique IDs to sync for batch processing

Example:
["url-id-1", "url-id-2", "url-id-3"]

Response

200 - application/json

Sync processing initiated successfully

success
boolean
Example:

true

message
string
Example:

"Sync processing initiated successfully"

data
object